Page MenuHomePhabricator

Duplicated topics in some views (Unbreak Now)
Closed, ResolvedPublic

Description

A notification for "6 new topics" led me to
https://www.mediawiki.org/w/index.php?title=Talk:Beta_Features/Hovercards&topiclist_sortby=newest&fromnotif=1#flow-post-s5zkrn9nzud1ownz
this view contains repeated topics.

I can reproduce the problem if I visit the link with a second account, but not whilst logged-out.

The &topiclist_sortby=newest seems to be the troublesome bit.

Details

Related Gerrit Patches:
mediawiki/extensions/Flow : masterTOC bug: duplicated topics in some views

Event Timeline

Quiddity created this task.Dec 31 2014, 1:49 AM
Quiddity raised the priority of this task from to Needs Triage.
Quiddity updated the task description. (Show Details)
Quiddity added a subscriber: Quiddity.
Mattflaschen-WMF triaged this task as Unbreak Now! priority.Dec 31 2014, 1:51 AM
DannyH set Security to None.
DannyH renamed this task from Duplicated topics in some views to Duplicated topics in some views (Unbreak Now).Jan 8 2015, 6:49 PM

This is an issue we already noticed and fixed in the TOC branch. What happens is:

  1. User has default sort order set to 'updated'
  2. User requests page with sort order of 'newest'
  3. Auto-pagination does not tell the backend about sort order, so gets user default of 'recent'
  4. Duplicated topics are those that are on page 1 of 'newest' but page 2 of 'updated'

The patch in the TOC branch changes this so that auto-pagination tells the backend about the sort order.

There might be an additional aspect to fix, which Erik is working on.

Change 183985 had a related patch set uploaded (by EBernhardson):
TOC bug: duplicated topics in some views

https://gerrit.wikimedia.org/r/183985

Patch-For-Review

Change 183985 merged by jenkins-bot:
TOC bug: duplicated topics in some views

https://gerrit.wikimedia.org/r/183985

This task has been "Unbreak Now!" priority since December 31. A patch was merged on January 13.

Flow team: What else is left to do here? Or shall this task be closed as resolved?

DannyH closed this task as Resolved.Jan 23 2015, 7:22 PM
DannyH lowered the priority of this task from Unbreak Now! to Medium.